<?php


class AssertUriSchemeTests extends DZF_Test_PHPUnit_TestCase
{
    public function testFilter()
    {
        $value = "www.example.com";
        $expectedValue = "http://www.example.com";

        $assertUriScheme = new DZF_Filter_AssertUriScheme();
        $filterValue = $assertUriScheme->filter($value);

        $this->assertEquals($expectedValue, $filterValue);
    }

    /*
     * @expectedException Error
     * @expectedExceptionMessage Using $this when not in object context

    public function testFilterException()
    {
        $value = "www.example.com";

        $filterValue = DZF_Filter_AssertUriScheme::filter($value);
    }
    */
}
